
Redmine - Defect #7097

Starting day of week cannot be set to Saturday

2010-12-11 21:48 - Ebrahim Mohammadi

Status: Closed Start date: 2010-12-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Administration Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.0.4

Description

Starting day of week is Saturday in some countries, Iran for one, but the drop down list in settings page only has Sunday and

Monday.

It would be nice to be able to set starting day of week to Saturday independent of current locale of Redmine.

Related issues:

Has duplicate Redmine - Feature #2884: No way to configure start of week day Closed 2009-03-02

Associated revisions

Revision 5228 - 2011-03-27 17:43 - Jean-Philippe Lang

Adds support for saturday as the first week day (#7097).

Revision 5596 - 2011-04-29 13:28 - Jean-Philippe Lang

Makes 'This week' filter work with any starting day of week (#7097).

Revision 5603 - 2011-04-29 15:33 - Jean-Philippe Lang

Fixes an assertion for postgresql (#7097).

History

#1 - 2011-03-14 21:41 - Jonas De Meulenaere

- Category set to Administration

#2 - 2011-03-16 15:37 - Ebrahim Mohammadi

- File redmine-saturday.diff added

- Status changed from New to Resolved

- % Done changed from 0 to 100

This tiny patch adds Saturday to choices of first day of week.

May somebody review and merge it?

#3 - 2011-03-16 15:52 - Etienne Massip

- Status changed from Resolved to New

- Target version set to Candidate for next minor release

#4 - 2011-03-27 17:44 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Patch with additional fixes and tests committed in r5228.

#5 - 2011-04-14 18:31 - Etienne Massip

- Status changed from Resolved to New
https://www.redmine.org/projects/redmine/repository/svn/revisions/5228


Was looking at #7218 when I realized the code at source:trunk/app/models/query.rb#L625 needs to be fixed to handle date filter "This week" properly

according to the present issue.

#6 - 2011-04-29 09:03 - Jean-Philippe Lang

- Target version changed from 1.1.3 to 1.2.0

#7 - 2011-04-29 13:29 - Jean-Philippe Lang

- Status changed from New to Closed

Etienne Massip wrote:

Was looking at #7218 when I realized the code at source:trunk/app/models/query.rb#L625 needs to be fixed to handle date filter "This week"

properly according to the present issue.

 Fixed in r5596.

#8 - 2014-08-07 12:00 - Toshi MARUYAMA

- Has duplicate Feature #2884: No way to configure start of week day added

Files

redmine-saturday.diff 1.44 KB 2011-03-16 Ebrahim Mohammadi

Powered by TCPDF (www.tcpdf.org)

2025-07-08 2/2

https://www.redmine.org/issues/7218
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/query.rb#L625
https://www.redmine.org/issues/7218
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/query.rb#L625
https://www.redmine.org/projects/redmine/repository/svn/revisions/5596
http://www.tcpdf.org

